Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.publish.ivy
[Java] Class InvalidIvyPublicationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.api.GradleException
                      org.gradle.api.InvalidUserDataException
                          org.gradle.api.publish.ivy.InvalidIvyPublicationException

    @Incubating
    public class InvalidIvyPublicationException
    extends InvalidUserDataException

Thrown when attempting to publish with an invalid IvyPublication.

Since:
  1.5

Constructor Summary
`InvalidIvyPublicationException(String publicationName, String error)`
`InvalidIvyPublicationException(String publicationName, String error, Throwable cause)`

Method Summary

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Constructor Detail

### InvalidIvyPublicationException

    public InvalidIvyPublicationException(String publicationName, String error)

### InvalidIvyPublicationException

    public InvalidIvyPublicationException(String publicationName, String error, Throwable cause)

Gradle API 1.10